import Offer from '../models/Offer';
import { HttpTransport } from '../source/http/HttpTransport';
import { OfferRepository } from './OfferRepository';
export default class OfferRepositoryImpl implements OfferRepository {
    private readonly OFFER_API;
    private transport;
    constructor(transport: HttpTransport);
    create(owner: string, offer: Offer): Promise<Offer>;
    update(owner: string, id: number, offer: Offer): Promise<Offer>;
    deleteById(owner: string, id: number): Promise<number>;
    getOfferByOwnerAndId(owner: string, id: number): Promise<Array<Offer>>;
    getOfferByOwner(owner: string): Promise<Array<Offer>>;
    getAllOffer(): Promise<Array<Offer>>;
    getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>;
    private jsonToListOffers;
}
